-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Dec 22, 2023 at 12:04 PM
-- Server version: 10.4.28-MariaDB
-- PHP Version: 8.2.4

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `air_rite`
--

-- --------------------------------------------------------

--
-- Table structure for table `administration`
--

CREATE TABLE `administration` (
  `id` int(11) NOT NULL,
  `staff_id` int(11) DEFAULT NULL,
  `staff_name` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `smtp_server` varchar(255) DEFAULT NULL,
  `isdeleted` int(11) DEFAULT 0,
  `addedat` timestamp NOT NULL DEFAULT current_timestamp(),
  `updatedat` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `administration`
--

INSERT INTO `administration` (`id`, `staff_id`, `staff_name`, `email`, `smtp_server`, `isdeleted`, `addedat`, `updatedat`) VALUES
(1, 2, 'new member', 'newmember@gmail.com', 'available', 0, '2023-12-19 12:47:20', '2023-12-19 12:47:20');

-- --------------------------------------------------------

--
-- Table structure for table `client`
--

CREATE TABLE `client` (
  `id` int(11) NOT NULL,
  `company_name` varchar(255) DEFAULT NULL,
  `address_one` varchar(255) DEFAULT NULL,
  `address_two` varchar(255) DEFAULT NULL,
  `city` varchar(255) DEFAULT NULL,
  `state` varchar(255) DEFAULT NULL,
  `postcode` varchar(255) DEFAULT NULL,
  `postcode_address_one` varchar(255) DEFAULT NULL,
  `postcode_address_two` varchar(255) DEFAULT NULL,
  `postal_city` varchar(255) DEFAULT NULL,
  `postal_state` varchar(255) DEFAULT NULL,
  `postal_postcode` varchar(255) DEFAULT NULL,
  `phonenumber` varchar(255) DEFAULT NULL,
  `faxnumber` varchar(255) DEFAULT NULL,
  `main_contract` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `customer_number` varchar(255) DEFAULT NULL,
  `comments` varchar(255) DEFAULT NULL,
  `current` varchar(255) DEFAULT NULL,
  `isdeleted` int(11) DEFAULT 0,
  `addedat` timestamp NOT NULL DEFAULT current_timestamp(),
  `updatedat` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `client`
--

INSERT INTO `client` (`id`, `company_name`, `address_one`, `address_two`, `city`, `state`, `postcode`, `postcode_address_one`, `postcode_address_two`, `postal_city`, `postal_state`, `postal_postcode`, `phonenumber`, `faxnumber`, `main_contract`, `email`, `customer_number`, `comments`, `current`, `isdeleted`, `addedat`, `updatedat`) VALUES
(1, 'ab', 'cd', 'ef', 'gh', 'ij', 'kl', 'mn', 'op', 'qr', 'st', 'uv', 'wx', 'yz', 'abc', 'def@gmail.com', 'ghi', 'im the best', '1', 1, '2023-12-06 14:56:05', '2023-12-14 14:02:57'),
(2, 'ab', 'cd', 'ef', 'gh', 'ij', 'kl', 'mn', 'op', 'qr', 'st', 'uv', 'wx', 'yz', 'abc', 'def', 'ghi', 'jkl', 'mno', 1, '2023-12-06 14:56:05', '2023-12-14 14:03:30'),
(3, 'aa', 'ss', 'dd', 'ff', 'gg', 'hh', 'jj', 'kk', 'll', ';;', '\'\'', '21321321321321', '12321321312321', 'sdasdas', 'rafayAdmin@gmail.com', 'rude0182@gmail.com', 'yes', '1', 0, '2023-12-06 14:56:05', '2023-12-14 13:24:58'),
(4, 'aa', 'ss', 'dd', 'ff', 'gg', 'hh', 'jj', 'kk', 'll', ';;', '\'\'', '21321321321321', '12321321312321', 'sdasdas', 'rafayAdmin@gmail.com', 'rude0182@gmail.com', 'yes', '1', 0, '2023-12-06 14:56:05', '2023-12-06 14:56:05'),
(5, 'pp', 'oo', 'ii', 'uu', 'yy', 'tt', 'rr', 'ee', 'ww', 'qq', 'zz', '999', '55', 'vv', 'bb@gmail.com', 'nn@gmail.com', 'mm', '1', 0, '2023-12-06 14:56:05', '2023-12-14 13:25:03'),
(6, 'ab', 'cd', 'ef', 'gh', 'ij', 'kl', 'mn', 'op', 'qr', 'st', 'uv', 'wx', 'yz', 'abc', 'def', 'ghi', 'jkl', 'mno', 1, '2023-12-07 13:26:45', '2023-12-15 06:29:18'),
(7, 'ab', 'cd', 'ef', 'gh', 'ij', 'kl', 'mn', 'op', 'qr', 'st', 'uv', 'wx', 'yz', 'abc', 'def', 'ghi', 'jkl', 'mno', 1, '2023-12-14 08:40:13', '2023-12-15 06:29:22'),
(8, 'Array', 'Karachi', 'Lahore', 'Khi', 'Sindh', '94000', '89000', '56000', 'Zim', 'California', '5554', '5554', '22235555', '654888', 'rafay@gmail.com', 'a@gmail.com', 'Cool work ', '0', 1, '2023-12-14 13:31:53', '2023-12-14 13:32:46');

-- --------------------------------------------------------

--
-- Table structure for table `contracts`
--

CREATE TABLE `contracts` (
  `id` int(11) NOT NULL,
  `client_id` int(11) DEFAULT NULL,
  `next_due_date` date DEFAULT NULL,
  `contract_amount` varchar(255) DEFAULT NULL,
  `contract_renewal_date` date DEFAULT NULL,
  `contract_returned` tinyint(1) DEFAULT NULL,
  `additional_comment` text DEFAULT NULL,
  `added_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `isdeleted` int(11) DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `contracts`
--

INSERT INTO `contracts` (`id`, `client_id`, `next_due_date`, `contract_amount`, `contract_renewal_date`, `contract_returned`, `additional_comment`, `added_at`, `updated_at`, `isdeleted`) VALUES
(1, 3, NULL, NULL, NULL, NULL, NULL, '2023-12-15 09:30:02', '2023-12-18 09:38:08', 0),
(2, 3, '2023-12-28', '1000', '2023-12-26', 1, NULL, '2023-12-15 10:24:52', '2023-12-18 09:38:05', 0),
(3, 5, '2023-12-30', '1000', '2023-12-29', 0, NULL, '2023-12-15 10:40:15', '2023-12-18 09:38:02', 0),
(4, 4, '2023-12-02', '10000', '2023-12-20', 0, 'best and best', '2023-12-15 10:41:43', '2023-12-18 09:37:58', 0);

-- --------------------------------------------------------

--
-- Table structure for table `equipment`
--

CREATE TABLE `equipment` (
  `id` int(11) NOT NULL,
  `client_id` int(11) DEFAULT NULL,
  `model` varchar(255) DEFAULT NULL,
  `serial_number` varchar(255) DEFAULT NULL,
  `notes` varchar(255) DEFAULT NULL,
  `special_notes` varchar(255) DEFAULT NULL,
  `isdeleted` int(11) DEFAULT 0,
  `addedat` timestamp NOT NULL DEFAULT current_timestamp(),
  `updatedat` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `equipment`
--

INSERT INTO `equipment` (`id`, `client_id`, `model`, `serial_number`, `notes`, `special_notes`, `isdeleted`, `addedat`, `updatedat`) VALUES
(2, 3, 'asdas', 'asdasd', 'asdasdasd', 'best and best and best', 0, '2023-12-15 12:11:46', '2023-12-18 12:14:16');

-- --------------------------------------------------------

--
-- Table structure for table `invoice`
--

CREATE TABLE `invoice` (
  `id` int(11) NOT NULL,
  `client_id` int(11) DEFAULT NULL,
  `invoice_number` varchar(255) DEFAULT NULL,
  `invoice_date` date DEFAULT NULL,
  `job_number` varchar(255) DEFAULT NULL,
  `report_number` varchar(255) DEFAULT NULL,
  `staff_attended_job` varchar(255) DEFAULT NULL,
  `completed_work` varchar(255) DEFAULT NULL,
  `invoice_work_type` varchar(255) DEFAULT NULL,
  `quote_number` varchar(255) DEFAULT NULL,
  `invoice_quoted_work` varchar(255) DEFAULT NULL,
  `invoice_amount` varchar(255) DEFAULT NULL,
  `isdeleted` int(11) DEFAULT 0,
  `addedat` timestamp NOT NULL DEFAULT current_timestamp(),
  `updatedat` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `invoice`
--

INSERT INTO `invoice` (`id`, `client_id`, `invoice_number`, `invoice_date`, `job_number`, `report_number`, `staff_attended_job`, `completed_work`, `invoice_work_type`, `quote_number`, `invoice_quoted_work`, `invoice_amount`, `isdeleted`, `addedat`, `updatedat`) VALUES
(2, 5, '14141414141', '2023-12-13', '', '', '2', 'wwwwwwwwww', 'Install', '66666666', 'all', '999999', 0, '2023-12-19 08:42:35', '2023-12-19 11:34:49'),
(3, 4, '12', '2023-12-03', '213213', '213213', '5', 'best and', 'Repair', '90909090', 'dasdasd', '10000', 0, '2023-12-19 13:35:34', '2023-12-19 13:44:01');

-- --------------------------------------------------------

--
-- Table structure for table `staff`
--

CREATE TABLE `staff` (
  `id` int(11) NOT NULL,
  `email` varchar(255) DEFAULT NULL,
  `mobile_number` varchar(255) DEFAULT NULL,
  `current` tinyint(1) DEFAULT NULL,
  `isdeleted` int(11) DEFAULT 0,
  `addedat` timestamp NOT NULL DEFAULT current_timestamp(),
  `updatedat` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `name` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `staff`
--

INSERT INTO `staff` (`id`, `email`, `mobile_number`, `current`, `isdeleted`, `addedat`, `updatedat`, `name`) VALUES
(1, '0.abdulraffay@gmail.com', '12354785412', 0, 0, '2023-12-18 13:49:01', '2023-12-19 07:54:22', 'raf'),
(2, 'ali@gmail.com', '41232123', 1, 0, '2023-12-19 12:15:23', '2023-12-19 12:15:23', 'Ali'),
(3, 'burhanAdmin3@gmail.com', '12321321', 1, 0, '2023-12-19 13:45:42', '2023-12-19 13:46:03', 'nas');

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` int(11) NOT NULL,
  `empId` int(11) NOT NULL,
  `username` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `type` int(11) DEFAULT 1,
  `isdeleted` int(11) DEFAULT 0,
  `addedat` timestamp NOT NULL DEFAULT current_timestamp(),
  `updatedat` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `password` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `empId`, `username`, `email`, `type`, `isdeleted`, `addedat`, `updatedat`, `password`) VALUES
(10, 103, 'AliRaza', 'aliraxa.666@gmail.com', 2, 0, '2023-12-08 12:51:32', '2023-12-15 07:30:46', '$2y$10$gAGH1z19RgnvJLWpluDPJ.jebPF.DH.W1kUVdm3e2hMr/7hTBZGxi'),
(47, 104, 'Burhan', 'shaikhburhanali29@gmail.com', 1, 0, '2023-12-15 05:40:07', '2023-12-15 07:46:04', '$2y$10$4VeJp449BjPwLJbHEjSQd.jjLnrSqO9z/YkaBU5Qa.OGfF3BUwG3u');

-- --------------------------------------------------------

--
-- Table structure for table `user_access`
--

CREATE TABLE `user_access` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `addedat` timestamp NOT NULL DEFAULT current_timestamp(),
  `updatedat` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `client` int(11) DEFAULT 0,
  `contracts` int(11) DEFAULT 0,
  `invoice` int(11) DEFAULT 0,
  `equipment` int(11) DEFAULT 0,
  `staff` int(11) DEFAULT NULL,
  `report` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `user_access`
--

INSERT INTO `user_access` (`id`, `user`, `addedat`, `updatedat`, `client`, `contracts`, `invoice`, `equipment`, `staff`, `report`) VALUES
(5, 10, '2023-12-08 12:51:34', '2023-12-15 07:46:29', 1, 1, 1, 1, 1, 1),
(40, 47, '2023-12-15 05:40:11', '2023-12-15 07:46:04', 1, 1, 1, 1, 1, 1);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `administration`
--
ALTER TABLE `administration`
  ADD PRIMARY KEY (`id`),
  ADD KEY `administration` (`staff_id`);

--
-- Indexes for table `client`
--
ALTER TABLE `client`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `contracts`
--
ALTER TABLE `contracts`
  ADD PRIMARY KEY (`id`),
  ADD KEY `client_id` (`client_id`);

--
-- Indexes for table `equipment`
--
ALTER TABLE `equipment`
  ADD PRIMARY KEY (`id`),
  ADD KEY `client_id` (`client_id`);

--
-- Indexes for table `invoice`
--
ALTER TABLE `invoice`
  ADD PRIMARY KEY (`id`),
  ADD KEY `invoice` (`client_id`);

--
-- Indexes for table `staff`
--
ALTER TABLE `staff`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `user_access`
--
ALTER TABLE `user_access`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk_user_access_user` (`user`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `administration`
--
ALTER TABLE `administration`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `client`
--
ALTER TABLE `client`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;

--
-- AUTO_INCREMENT for table `contracts`
--
ALTER TABLE `contracts`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `equipment`
--
ALTER TABLE `equipment`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `invoice`
--
ALTER TABLE `invoice`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `staff`
--
ALTER TABLE `staff`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=48;

--
-- AUTO_INCREMENT for table `user_access`
--
ALTER TABLE `user_access`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=41;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `administration`
--
ALTER TABLE `administration`
  ADD CONSTRAINT `administration` FOREIGN KEY (`staff_id`) REFERENCES `staff` (`id`);

--
-- Constraints for table `contracts`
--
ALTER TABLE `contracts`
  ADD CONSTRAINT `contracts_ibfk_1` FOREIGN KEY (`client_id`) REFERENCES `client` (`id`);

--
-- Constraints for table `equipment`
--
ALTER TABLE `equipment`
  ADD CONSTRAINT `equipment_ibfk_1` FOREIGN KEY (`client_id`) REFERENCES `client` (`id`);

--
-- Constraints for table `invoice`
--
ALTER TABLE `invoice`
  ADD CONSTRAINT `invoice` FOREIGN KEY (`client_id`) REFERENCES `client` (`id`);

--
-- Constraints for table `user_access`
--
ALTER TABLE `user_access`
  ADD CONSTRAINT `fk_user_access_user` FOREIGN KEY (`user`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
